package cn.iocoder.yudao.module.ecw.api.currency;

import cn.iocoder.yudao.module.ecw.api.currency.dto.CurrencyRespDTO;
import cn.iocoder.yudao.module.ecw.api.currency.dto.ExchangeRateRespDTO;

import java.util.Collection;
import java.util.Collections;
import java.util.List;
import java.util.Map;

public interface CurrencyApi {
    /**
     * 得到所有的币种对象
     *
     * @return
     */
    Map<Integer, CurrencyRespDTO> getAllCurrency();

    /**
     * 根据币种得到汇率
     *
     * @param sourceId 原货币id
     * @param targetId 目标货币id
     * @return
     */
    ExchangeRateRespDTO getCurrencyRate(Long sourceId, Long targetId);


    /**
     * 根据币种得到汇率
     *
     * @param sourceIds 原货币id列表
     * @param targetId  目标货币id
     * @return
     */
    List<ExchangeRateRespDTO> getCurrencyRateList(Collection<Long> sourceIds, Long targetId);


    /**
     * 根据币种符号得到汇率
     *
     * @param sourceCode 原货币符号
     * @param targetCode 目标货币符号
     * @return
     */
    ExchangeRateRespDTO getCurrencyRateByCode(String sourceCode, String targetCode);

}
