package cn.iocoder.yudao.module.ecw.api.vo;

import lombok.*;

import java.util.*;

import io.swagger.annotations.*;

import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
 * 货币单位 Base VO，提供给添加、修改、详细的子 VO 使用
 * 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
 */
@Data
public class CurrencyBaseVO {

    @ApiModelProperty(value = "中文名称")
    private String titleZh;

    @ApiModelProperty(value = "英文名称")
    private String titleEn;

    @ApiModelProperty(value = "货币符号")
    private String fuhao;

    @ApiModelProperty(value = "状态")
    private Integer status;

 /*   @ApiModelProperty(value = "100外币兑人民币汇率 ")
    private BigDecimal huilv;

    @ApiModelProperty(value = "100人民币兑外币汇率 ")
    private BigDecimal exchangeToFc;
*/
    @ApiModelProperty(value = "排序")
    private Integer aorder;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "")
    private Date createTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "")
    private Date updateTime;
    @ApiModelProperty(value = "是否删除")
    private Boolean deleted;

    @ApiModelProperty(value = "创建者")
    private String creator;

    @ApiModelProperty(value = "最后修改者")
    private String updater;
}
