package cn.iocoder.yudao.module.ecw.enums;

import cn.hutool.core.util.ArrayUtil;
import cn.iocoder.yudao.framework.common.util.json.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 优惠劵类型枚举
 */
@AllArgsConstructor
@Getter
public enum CouponTypeEnum implements IntArrayValuable {

    COUPON(1, "优惠劵"),

    FULL_REDUCE(2, "满减"),

//    AMOUNT_FULL_REDUCE(2, "金额-满减"),
//    SQUARE_NUMBER_FULL_REDUCE(3, "方数-满减"),
    DISCOUNT(4, "折扣"),
    PREFERENTIAL(5, "优惠"),
    SPECIAL_OFFER(6, "特价"),
    INTERVAL_PRICE(7, "区间价"),


    ;

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(CouponTypeEnum::getValue).toArray();

    /**
     * 类型
     */
    private final Integer value;
    /**
     * 类型名
     */
    private final String name;

    public static CouponTypeEnum valueOf(Integer value) {
        return ArrayUtil.firstMatch(couponType -> couponType.getValue().equals(value), CouponTypeEnum.values());
    }

    @Override
    public int[] array() {
        return ARRAYS;
    }
}
