package cn.iocoder.yudao.module.ecw.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 客户状态类型枚举
 */
@AllArgsConstructor
@Getter
public enum CustomerStatusEnum {

    CLUE(1, "线索"),
    INTENTION(2, "意向"),
    DEAL(3, "成交");

    ;
    /**
     * 类型
     */
    private final Integer value;
    /**
     * 类型名
     */
    private final String name;


    public static String getNameByValue(Integer value) {
        return Arrays.stream(CustomerStatusEnum.values()).filter(t -> t.getValue().equals(value)).map(CustomerStatusEnum::getName).findFirst().orElse("");
    }

    public static CustomerStatusEnum get(Integer value) {
        return Arrays.stream(CustomerStatusEnum.values()).filter(t -> t.getValue().equals(value)).findFirst().orElse(null);
    }
}
