package cn.iocoder.yudao.module.ecw.enums;

import cn.hutool.core.util.ArrayUtil;
import cn.iocoder.yudao.framework.common.util.json.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 优惠劵类型枚举
 */
@AllArgsConstructor
@Getter
public enum ZhongPaoTypeEnum implements IntArrayValuable {

    ZHONG(1, "重货"),
    PAO(2, "泡货"),


    ;

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(ZhongPaoTypeEnum::getValue).toArray();

    /**
     * 类型
     */
    private final Integer value;
    /**
     * 类型名
     */
    private final String name;

    public static ZhongPaoTypeEnum valueOf(Integer value) {
        return ArrayUtil.firstMatch(t -> t.getValue().equals(value), ZhongPaoTypeEnum.values());
    }

    @Override
    public int[] array() {
        return ARRAYS;
    }
}
